/// <reference types="node" />
import { EventEmitter } from 'events';
import { TunnelInfo } from './types';
declare class TunnelCluster extends EventEmitter {
    private readonly opts;
    private readonly remoteHost;
    private readonly remotePort;
    private readonly clientId;
    private isRegistered;
    constructor(opts?: TunnelInfo);
    open(): void;
    private createLocalConnection;
    private setupPipes;
}
export default TunnelCluster;
